Summary: Linux keymap utilities
Name: kbd
%define version 0.95
Version: %{version}
Release: 1
Group: Utilities/System
ExcludeArch: sparc
ExclusiveOS: Linux
Copyright: GPL
Source0: ftp://ftp.funet.fi/pub/OS/Linux/kernel/src/kbd-%{version}.tar.gz
Source1: keytable.init
Patch: kbd-0.95-buildroot.patch
BuildRoot: /tmp/kbd-root

%changelog
* Sun Nov 30 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- updated to kbd-0.95
- removed kbd-0.91-newcf.patch, already integrated in kbd-0.95
- added %attr
- added RPM_BUILD_ROOT sanity check

* Thu May 22 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- now using kbd-0.94

* Sun Mar 6 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>

- bumped RH's kbd-091.spec up to 0.93
- added BuildRoot support
- added %clean
- added CHANGES README and sample.rc to %doc
- kbd-0.91-SIGSTKFLT.patch, kbd-0.91-glibc.patch and kbd-0.91-resizecons.patch
  are no longer needed, as they are implementeed in the original dist.

%description
This package contains utilities to load console fonts and
keyboard maps.  It also includes a number of different fonts
and keyboard maps.

%prep
%setup
%patch -p1 -b .broot

%ifnarch i386
rm -f man8/resizecons.8
%endif

%build
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s

%install
[ -z "$RPM_BUILD_ROOT" -a -z "`echo $RPM_BUILD_ROOT|sed -e 's#/##g'`" ] && exit 1
rm -fr $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init.d,rc{2,3,5}.d}
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib,man/man{1,4,5,8}}

make prefix=$RPM_BUILD_ROOT/usr install

#strip $RPM_BUILD_ROOT/usr/bin/*

install -m755 $RPM_SOURCE_DIR/keytable.init \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/keytable
ln -sf ../init.d/keytable $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S01keytable
ln -sf ../init.d/keytable $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S75keytable
ln -sf ../init.d/keytable $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S75keytable

%clean
[ -z "$RPM_BUILD_ROOT" -a -z "`echo $RPM_BUILD_ROOT|sed -e 's#/##g'`" ] && exit 1
rm -fr $RPM_BUILD_ROOT

%files
%attr(-,root,root) %doc CHANGES README sample.rc
%attr(-,root,root) %doc doc/*
%attr(755,root,bin)  %config /etc/rc.d/init.d/keytable
%attr(755,root,bin)  /etc/rc.d/rc2.d/S01keytable
%attr(755,root,bin)  /etc/rc.d/rc5.d/S75keytable
%attr(755,root,bin)  /etc/rc.d/rc3.d/S75keytable

%attr(-,root,root) /usr/lib/kbd
%attr(755,root,bin) /usr/bin/*
%attr(444,root,man) /usr/man/man1/*
%attr(444,root,man) /usr/man/man4/*
%attr(444,root,man) /usr/man/man5/*
%attr(444,root,man) /usr/man/man8/*
